# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLDirectoryElement Class Reference

Directory list. More...

`#include <html_list.h>`

Inheritance diagram for DOM::HTMLDirectoryElement:

[legend]
Collaboration diagram for DOM::HTMLDirectoryElement:

[legend]
List of all members.

## Public Member Functions

| HTMLDirectoryElement (const HTMLDirectoryElement &other)
| HTMLDirectoryElement (const Node &other)
HTMLDirectoryElement & | operator= (const HTMLDirectoryElement &other)
HTMLDirectoryElement & | operator= (const Node &other)
bool | compact () const
void | setCompact (bool)

## Protected Member Functions

| HTMLDirectoryElement (HTMLDirectoryElementImpl *impl)

## Detailed Description

Directory list.

See the DIR element definition in HTML 4.0. This element is deprecated in HTML 4.0.

Definition at line 92 of file html_list.h.

## Member Function Documentation

bool HTMLDirectoryElement::compact | ( |  | ) | const

| Reduce spacing between list items. See the compact attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 105 of file html_list.cpp. References DOM::DOMString::isNull().

void HTMLDirectoryElement::setCompact | ( | bool |  | ) |

| see compact Definition at line 111 of file html_list.cpp.

The documentation for this class was generated from the following files:

- html_list.h
- html_list.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:24 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003